=== debian/control ===
Source: ros-lunar-costmap-cspace
Section: misc
Priority: extra
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-costmap-cspace-msgs, ros-lunar-geometry-msgs, ros-lunar-laser-geometry, ros-lunar-nav-msgs, ros-lunar-neonavigation-common, ros-lunar-roscpp, ros-lunar-roslint, ros-lunar-rostest, ros-lunar-rosunit, ros-lunar-sensor-msgs, ros-lunar-tf2-geometry-msgs, ros-lunar-tf2-ros, ros-lunar-tf2-sensor-msgs, ros-lunar-xmlrpcpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-costmap-cspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-costmap-cspace-msgs, ros-lunar-geometry-msgs, ros-lunar-laser-geometry, ros-lunar-nav-msgs, ros-lunar-neonavigation-common, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-tf2-geometry-msgs, ros-lunar-tf2-ros, ros-lunar-tf2-sensor-msgs, ros-lunar-xmlrpcpp
Description: 3-dof configuration space costmap package
